Work Package # 48275 (New): TypoScript consistency

Status: Resolved Priority: Must have
Author: Aske Ertmann Category: General / Project
Created: 2013-05-16 Assigned To: Christian Müller
Updated: 2013-05-21 Due date:
Subject: Put site root node into Eel context
Description

In order to write queries from the root node we need the site node to be available in the Eel context
Example:
    -  ${q(site).children('firstlevel')}

Associated revisions
Revision 4e05d17a - 2013-05-20 11:32 - Christian Müller

[TASK] Put site root node into TypoScript context

The site root node is now available as "site" in the TypoScript
context. This allows to formulate Eel expressions starting from
the site to target first level pages.

To make testing of the TypoScriptView easier a small refactoring is done
to create the Runtime through the TypoScriptService.

Change-Id: I04512bb8d6d77fe8e3547010652a744790eaed2a
Resolves: #48276

History
#1 - 2013-05-17 10:26 - Christian Müller
- Subject changed from Put site root side into Eel context to Put site root node into Eel context

#2 - 2013-05-17 10:37 - Christian Müller
- Assigned To set to Christian Müller

#3 - 2013-05-17 10:38 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20862

#4 - 2013-05-17 10:47 - Christian Müller
- Status changed from New to Under Review

#5 - 2013-05-20 11:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20862
#6 - 2013-05-21 19:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4e05d17a668af2d3ec7c4769e7ea2216425ce51e.
